Activity log for bug #1655041

Date Who What changed Old value New value Message
2017-01-09 14:37:58 Tim Gardner bug added bug
2017-01-09 14:37:59 Tim Gardner tags kernel-stable-tracking-bug
2017-01-09 14:38:00 Tim Gardner bug added subscriber SRU Verification
2017-01-09 14:38:03 Tim Gardner bug added subscriber Ubuntu Stable Release Updates Team
2017-01-09 14:38:07 Tim Gardner nominated for series Ubuntu Xenial
2017-01-09 14:38:08 Tim Gardner bug task added linux (Ubuntu Xenial)
2017-01-09 14:42:28 Tim Gardner description SRU Justification Impact: The upstream process for stable tree updates is quite similar in scope to the Ubuntu SRU process, e.g., each patch has to demonstrably fix a bug, and each patch is vetted by upstream by originating either directly from a mainline/stable Linux tree or a minimally backported form of that patch. The v4.4.41 upstream stable patch set is now available. It should be included in the Ubuntu kernel as well. git://git.kernel.org/ TEST CASE: TBD The following patches from the v4.4.41 stable release shall be applied: SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from a mainline/stable Linux tree or        a minimally backported form of that patch. The v4.4.41 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://git.kernel.org/     TEST CASE: TBD        The following patches from the v4.4.41 stable release shall be applied: ssb: Fix error routine when fallback SPROM fails rtlwifi: Fix enter/exit power_save cfg80211/mac80211: fix BSS leaks when abandoning assoc attempts ath9k: Really fix LED polarity for some Mini PCI AR9220 MB92 cards. mmc: sdhci: Fix recovery from tuning timeout regulator: stw481x-vmmc: fix ages old enable error timekeeping_Force_unsigned_clocksource_to_nanoseconds_conversion clk: bcm2835: Avoid overwriting the div info when disabling a pll_div clk thermal: hwmon: Properly report critical temperature in sysfs staging: comedi: ni_mio_common: fix M Series ni_ai_insn_read() data mask staging: comedi: ni_mio_common: fix E series ni_ai_insn_read() data ACPI / video: Add force_native quirk for Dell XPS 17 L702X ACPI / video: Add force_native quirk for HP Pavilion dv6 drm/nouveau/kms: lvds panel strap moved again on maxwell drm/nouveau/bios: require checksum to match for fast acpi shadow method drm/nouveau/ltc: protect clearing of comptags with mutex drm/nouveau/fifo/gf100-: protect channel preempt with subdev mutex drm/nouveau/i2c/gk110b,gm10x: use the correct implementation drm/radeon: Also call cursor_move_locked when the cursor size changes drm/radeon: Hide the HW cursor while it's out of bounds drm/radeon: add additional pci revision to dpm workaround drm/gma500: Add compat ioctl drivers/gpu/drm/ast: Fix infinite loop if read fails mei: request async autosuspend at the end of enumeration block: protect iterate_bdevs() against concurrent close vt: fix Scroll Lock LED trigger name scsi: megaraid_sas: For SRIOV enabled firmware, ensure VF driver waits for 30secs before reset scsi: megaraid_sas: Do not set MPI2_TYPE_CUDA for JBOD FP path for FW which does not support JBOD sequence map scsi: zfcp: fix use-after-"free" in FC ingress path after TMF scsi: zfcp: do not trace pure benign residual HBA responses at default level scsi: zfcp: fix rport unblock race with LUN recovery scsi: avoid a permanent stop of the scsi device's request queue ARC: mm: arc700: Don't assume 2 colours for aliasing VIPT dcache firmware: fix usermode helper fallback loading s390/vmlogrdr: fix IUCV buffer allocation sc16is7xx: Drop bogus use of IRQF_ONESHOT md/raid5: limit request size according to implementation limits KVM: PPC: Book3S HV: Save/restore XER in checkpointed register state KVM: PPC: Book3S HV: Don't lose hardware R/C bit updates in H_PROTECT kvm: nVMX: Allow L1 to intercept software exceptions (#BP and #OF) ftrace/x86_32: Set ftrace_stub to weak to prevent gcc from using short jumps to it platform/x86: asus-nb-wmi.c: Add X45U quirk fgraph: Handle a case where a tracer ignores set_graph_notrace IB/mad: Fix an array index check IPoIB: Avoid reading an uninitialized member variable IB/multicast: Check ib_find_pkey() return value IB/cma: Fix a race condition in iboe_addr_get_sgid() media: solo6x10: fix lockup by avoiding delayed register write Input: drv260x - fix input device's parent assignment PCI: Check for PME in targeted sleep state libceph: verify authorize reply on connect nfs_write_end(): fix handling of short copies powerpc/ps3: Fix system hang with GCC 5 builds powerpc: Convert cmp to cmpd in idle enter sequence kconfig/nconf: Fix hang when editing symbol with a long prompt sg_write()/bsg_write() is not fit to be called under KERNEL_DS net: mvpp2: fix dma unmapping of TX buffers for fragments Linux 4.4.41
2017-01-09 18:29:26 Launchpad Janitor linux (Ubuntu): status New Confirmed
2017-01-09 18:29:26 Launchpad Janitor linux (Ubuntu Xenial): status New Confirmed
2017-01-20 11:33:35 Luis Henriques description SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from a mainline/stable Linux tree or        a minimally backported form of that patch. The v4.4.41 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://git.kernel.org/     TEST CASE: TBD        The following patches from the v4.4.41 stable release shall be applied: ssb: Fix error routine when fallback SPROM fails rtlwifi: Fix enter/exit power_save cfg80211/mac80211: fix BSS leaks when abandoning assoc attempts ath9k: Really fix LED polarity for some Mini PCI AR9220 MB92 cards. mmc: sdhci: Fix recovery from tuning timeout regulator: stw481x-vmmc: fix ages old enable error timekeeping_Force_unsigned_clocksource_to_nanoseconds_conversion clk: bcm2835: Avoid overwriting the div info when disabling a pll_div clk thermal: hwmon: Properly report critical temperature in sysfs staging: comedi: ni_mio_common: fix M Series ni_ai_insn_read() data mask staging: comedi: ni_mio_common: fix E series ni_ai_insn_read() data ACPI / video: Add force_native quirk for Dell XPS 17 L702X ACPI / video: Add force_native quirk for HP Pavilion dv6 drm/nouveau/kms: lvds panel strap moved again on maxwell drm/nouveau/bios: require checksum to match for fast acpi shadow method drm/nouveau/ltc: protect clearing of comptags with mutex drm/nouveau/fifo/gf100-: protect channel preempt with subdev mutex drm/nouveau/i2c/gk110b,gm10x: use the correct implementation drm/radeon: Also call cursor_move_locked when the cursor size changes drm/radeon: Hide the HW cursor while it's out of bounds drm/radeon: add additional pci revision to dpm workaround drm/gma500: Add compat ioctl drivers/gpu/drm/ast: Fix infinite loop if read fails mei: request async autosuspend at the end of enumeration block: protect iterate_bdevs() against concurrent close vt: fix Scroll Lock LED trigger name scsi: megaraid_sas: For SRIOV enabled firmware, ensure VF driver waits for 30secs before reset scsi: megaraid_sas: Do not set MPI2_TYPE_CUDA for JBOD FP path for FW which does not support JBOD sequence map scsi: zfcp: fix use-after-"free" in FC ingress path after TMF scsi: zfcp: do not trace pure benign residual HBA responses at default level scsi: zfcp: fix rport unblock race with LUN recovery scsi: avoid a permanent stop of the scsi device's request queue ARC: mm: arc700: Don't assume 2 colours for aliasing VIPT dcache firmware: fix usermode helper fallback loading s390/vmlogrdr: fix IUCV buffer allocation sc16is7xx: Drop bogus use of IRQF_ONESHOT md/raid5: limit request size according to implementation limits KVM: PPC: Book3S HV: Save/restore XER in checkpointed register state KVM: PPC: Book3S HV: Don't lose hardware R/C bit updates in H_PROTECT kvm: nVMX: Allow L1 to intercept software exceptions (#BP and #OF) ftrace/x86_32: Set ftrace_stub to weak to prevent gcc from using short jumps to it platform/x86: asus-nb-wmi.c: Add X45U quirk fgraph: Handle a case where a tracer ignores set_graph_notrace IB/mad: Fix an array index check IPoIB: Avoid reading an uninitialized member variable IB/multicast: Check ib_find_pkey() return value IB/cma: Fix a race condition in iboe_addr_get_sgid() media: solo6x10: fix lockup by avoiding delayed register write Input: drv260x - fix input device's parent assignment PCI: Check for PME in targeted sleep state libceph: verify authorize reply on connect nfs_write_end(): fix handling of short copies powerpc/ps3: Fix system hang with GCC 5 builds powerpc: Convert cmp to cmpd in idle enter sequence kconfig/nconf: Fix hang when editing symbol with a long prompt sg_write()/bsg_write() is not fit to be called under KERNEL_DS net: mvpp2: fix dma unmapping of TX buffers for fragments Linux 4.4.41 SRU Justification     Impact:        The upstream process for stable tree updates is quite similar        in scope to the Ubuntu SRU process, e.g., each patch has to        demonstrably fix a bug, and each patch is vetted by upstream        by originating either directly from a mainline/stable Linux tree or        a minimally backported form of that patch. The v4.4.41 upstream stable        patch set is now available. It should be included in the Ubuntu        kernel as well.        git://git.kernel.org/     TEST CASE: TBD        The following patches from the v4.4.41 stable release shall be applied: ssb: Fix error routine when fallback SPROM fails rtlwifi: Fix enter/exit power_save cfg80211/mac80211: fix BSS leaks when abandoning assoc attempts ath9k: Really fix LED polarity for some Mini PCI AR9220 MB92 cards. mmc: sdhci: Fix recovery from tuning timeout regulator: stw481x-vmmc: fix ages old enable error timekeeping_Force_unsigned_clocksource_to_nanoseconds_conversion clk: bcm2835: Avoid overwriting the div info when disabling a pll_div clk thermal: hwmon: Properly report critical temperature in sysfs staging: comedi: ni_mio_common: fix M Series ni_ai_insn_read() data mask staging: comedi: ni_mio_common: fix E series ni_ai_insn_read() data ACPI / video: Add force_native quirk for Dell XPS 17 L702X ACPI / video: Add force_native quirk for HP Pavilion dv6 drm/nouveau/kms: lvds panel strap moved again on maxwell drm/nouveau/bios: require checksum to match for fast acpi shadow method drm/nouveau/ltc: protect clearing of comptags with mutex drm/nouveau/fifo/gf100-: protect channel preempt with subdev mutex drm/nouveau/i2c/gk110b,gm10x: use the correct implementation drm/radeon: Also call cursor_move_locked when the cursor size changes drm/radeon: Hide the HW cursor while it's out of bounds drm/radeon: add additional pci revision to dpm workaround drm/gma500: Add compat ioctl drivers/gpu/drm/ast: Fix infinite loop if read fails mei: request async autosuspend at the end of enumeration block: protect iterate_bdevs() against concurrent close vt: fix Scroll Lock LED trigger name scsi: megaraid_sas: For SRIOV enabled firmware, ensure VF driver waits for 30secs before reset scsi: megaraid_sas: Do not set MPI2_TYPE_CUDA for JBOD FP path for FW which does not support JBOD sequence map scsi: zfcp: fix use-after-"free" in FC ingress path after TMF scsi: zfcp: do not trace pure benign residual HBA responses at default level scsi: zfcp: fix rport unblock race with LUN recovery scsi: avoid a permanent stop of the scsi device's request queue ARC: mm: arc700: Don't assume 2 colours for aliasing VIPT dcache firmware: fix usermode helper fallback loading s390/vmlogrdr: fix IUCV buffer allocation sc16is7xx: Drop bogus use of IRQF_ONESHOT md/raid5: limit request size according to implementation limits KVM: PPC: Book3S HV: Save/restore XER in checkpointed register state KVM: PPC: Book3S HV: Don't lose hardware R/C bit updates in H_PROTECT kvm: nVMX: Allow L1 to intercept software exceptions (#BP and #OF) platform/x86: asus-nb-wmi.c: Add X45U quirk fgraph: Handle a case where a tracer ignores set_graph_notrace IB/mad: Fix an array index check IPoIB: Avoid reading an uninitialized member variable IB/multicast: Check ib_find_pkey() return value IB/cma: Fix a race condition in iboe_addr_get_sgid() media: solo6x10: fix lockup by avoiding delayed register write Input: drv260x - fix input device's parent assignment PCI: Check for PME in targeted sleep state libceph: verify authorize reply on connect nfs_write_end(): fix handling of short copies powerpc/ps3: Fix system hang with GCC 5 builds powerpc: Convert cmp to cmpd in idle enter sequence kconfig/nconf: Fix hang when editing symbol with a long prompt sg_write()/bsg_write() is not fit to be called under KERNEL_DS net: mvpp2: fix dma unmapping of TX buffers for fragments Linux 4.4.41 The following commit was skipped as it was already applied to master-next: ftrace/x86_32: Set ftrace_stub to weak to prevent gcc from using short jumps to it
2017-01-20 11:38:08 Luis Henriques linux (Ubuntu Xenial): status Confirmed Fix Committed
2017-02-20 07:42:07 Launchpad Janitor linux (Ubuntu Xenial): status Fix Committed Fix Released